Skip to content

List project feedback

GET
/v1/projects/{projectId}/feedback

Retrieves a paginated list of feedback items captured on the project. Results default to ascending creation order and can be sorted via the order_by parameter.
Optional assignee[] filters restrict results to the OR of selected assignees or unassigned (pass a special value none).
Optional tag[] filters restrict results to feedback that has at least one of the given tags (OR). Each value is a tag name or tag UUID for the project's team.

Authorizations

BearerAuth

API token provided in the Authorization header as a Bearer token.

Type
HTTP (bearer)

Responses

Successful retrieval of feedback for the project.

application/json
JSON
{
  
"feedback": [
  
  
{
  
  
  
"id": "9xy12ab34c",
  
  
  
"feedback_id": 0,
  
  
  
"project_id": "ab12cd34ef56gh78ij90klmn",
  
  
  
"title": "Login form broken",
  
  
  
"reporter": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"assignee": {
  
  
  
  
"id": "019a77e7-5105-774f-ac0b-1b9b18f8366a",
  
  
  
  
"name": "Jana Nováková"
  
  
  
},
  
  
  
"user_data": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"url": "https://app.example.com/login",
  
  
  
"description": "When I click submit, nothing happens.",
  
  
  
"rating": 0,
  
  
  
"rating_type": "csat",
  
  
  
"net_promoter_score": 0,
  
  
  
"priority_id": 3,
  
  
  
"priority": "Medium",
  
  
  
"type_id": 1,
  
  
  
"type": "Bug",
  
  
  
"status_id": 1,
  
  
  
"status": "Open",
  
  
  
"source_type": "widget",
  
  
  
"created_at": "string",
  
  
  
"updated_at": "string",
  
  
  
"comment_count": 3,
  
  
  
"tags": [
  
  
  
  
{
  
  
  
  
  
"id": "string",
  
  
  
  
  
"name": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"custom_fields": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"client_context": {
  
  
  
  
"browser": "string",
  
  
  
  
"browser_version": "string",
  
  
  
  
"os_name": "string",
  
  
  
  
"os_version": "string",
  
  
  
  
"device_type": "string",
  
  
  
  
"screen_width": 0,
  
  
  
  
"screen_height": 0,
  
  
  
  
"viewport_width": 0,
  
  
  
  
"viewport_height": 0,
  
  
  
  
"screen_pixel_depth": 0,
  
  
  
  
"screen_pixel_ratio": 0,
  
  
  
  
"referrer": "string",
  
  
  
  
"geo": {
  
  
  
  
  
"country_code": "string",
  
  
  
  
  
"region": "string",
  
  
  
  
  
"city": "string"
  
  
  
  
}
  
  
  
},
  
  
  
"screenshot_url": "string",
  
  
  
"video_url": "string",
  
  
  
"console_log_url": "string"
  
  
}
  
],
  
"meta": {
  
  
"total_count": 105,
  
  
"page": 2,
  
  
"page_size": 25,
  
  
"last_page": false
  
}
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI